Skip to content
Permalink
Browse files

Fix poms, remove bukkit lib project since it's currently unused.

  • Loading branch information...
wizjany committed Jul 30, 2019
1 parent 61494fd commit 21e65be1102f7c78e795904227ffebd89328cdc1
Showing with 4 additions and 8 deletions.
  1. +2 −3 buildSrc/src/main/kotlin/PlatformConfig.kt
  2. +1 −1 settings.gradle.kts
  3. +1 −4 worldguard-bukkit/build.gradle.kts
@@ -45,8 +45,7 @@ fun Project.applyPlatformAndCoreConfiguration() {
}

dependencies {
"testImplementation"("junit:junit:${Versions.JUNIT}")
"testRuntime"("junit:junit:${Versions.JUNIT}")
"testCompile"("junit:junit:${Versions.JUNIT}")
// TODO switch to jupiter - doesn't support abstract test classes so tests need rewriting
//"testImplementation"("org.junit.jupiter:junit-jupiter-api:${Versions.JUNIT}")
//"testRuntime"("org.junit.jupiter:junit-jupiter-engine:${Versions.JUNIT}")
@@ -105,7 +104,7 @@ fun Project.applyShadowConfiguration() {
archiveClassifier.set("dist")
dependencies {
include(project(":worldguard-libs:core"))
include(project(":worldguard-libs:${project.name.replace("worldguard-", "")}"))
//include(project(":worldguard-libs:${project.name.replace("worldguard-", "")}"))
include(project(":worldguard-core"))
}
exclude("GradleStart**")
@@ -3,5 +3,5 @@ rootProject.name = "worldguard"
include("worldguard-libs")
include("worldguard-libs:core")
include("worldguard-core")
include("worldguard-libs:bukkit")
//include("worldguard-libs:bukkit")
include("worldguard-bukkit")
@@ -22,7 +22,7 @@ repositories {

dependencies {
"compile"(project(":worldguard-core"))
"compile"(project(":worldguard-libs:bukkit"))
//"compile"(project(":worldguard-libs:bukkit"))
"api"("org.bukkit:bukkit:1.14.2-R0.1-SNAPSHOT")
"api"("com.sk89q.worldedit:worldedit-bukkit:7.0.1-SNAPSHOT") { isTransitive = false }
"implementation"("com.sk89q:commandbook:2.3") { isTransitive = false }
@@ -43,9 +43,6 @@ tasks.named<Jar>("jar") {

tasks.named<ShadowJar>("shadowJar") {
dependencies {
include(dependency(":worldguard-core"))
include(dependency(":worldguard-libs:core"))
include(dependency(":worldguard-libs:bukkit"))
relocate("org.bstats", "com.sk89q.worldguard.bukkit.bstats") {
include(dependency("org.bstats:bstats-bukkit:1.5"))
}

0 comments on commit 21e65be

Please sign in to comment.
You can’t perform that action at this time.